# Uses of Interface
java.lang.classfile.attribute.ModuleExportInfo

Packages that use ModuleExportInfo
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of ModuleExportInfo in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return ModuleExportInfo
Modifier and Type
Method
Description
`static ModuleExportInfo`
ModuleExportInfo.`of(PackageEntry exports, int exportFlags, ModuleEntry... exportsTo)`
Returns a module export description.
`static ModuleExportInfo`
ModuleExportInfo.`of(PackageEntry exports, int exportFlags, List<ModuleEntry> exportsTo)`
Returns a module export description.
`static ModuleExportInfo`
ModuleExportInfo.`of(PackageEntry exports, Collection<AccessFlag> exportFlags, ModuleEntry... exportsTo)`
Returns a module export description.
`static ModuleExportInfo`
ModuleExportInfo.`of(PackageEntry exports, Collection<AccessFlag> exportFlags, List<ModuleEntry> exportsTo)`
Returns a module export description.
`static ModuleExportInfo`
ModuleExportInfo.`of(PackageDesc exports, int exportFlags, ModuleDesc... exportsTo)`
Returns a module export description.
`static ModuleExportInfo`
ModuleExportInfo.`of(PackageDesc exports, int exportFlags, List<ModuleDesc> exportsTo)`
Returns a module export description.
`static ModuleExportInfo`
ModuleExportInfo.`of(PackageDesc exports, Collection<AccessFlag> exportFlags, ModuleDesc... exportsTo)`
Returns a module export description.
`static ModuleExportInfo`
ModuleExportInfo.`of(PackageDesc exports, Collection<AccessFlag> exportFlags, List<ModuleDesc> exportsTo)`
Returns a module export description.
Methods in java.lang.classfile.attribute that return types with arguments of type ModuleExportInfo
Modifier and Type
Method
Description
`List<ModuleExportInfo>`
ModuleAttribute.`exports()`
Returns the packages exported by this module.
Methods in java.lang.classfile.attribute with parameters of type ModuleExportInfo
Modifier and Type
Method
Description
`ModuleAttribute.ModuleAttributeBuilder`
ModuleAttribute.ModuleAttributeBuilder.`exports(ModuleExportInfo exports)`
Adds an exported package.